#version 440 core
layout (location = 0) in vec3 aPos;

out vec3 TexCoords;

uniform mat4 ProjectionMatrix;
uniform mat4 ViewMatrix;

void main()
{
    TexCoords = vec3(aPos.x, aPos.y, aPos.z);
    vec4 pos = ProjectionMatrix * ViewMatrix * vec4(aPos, 1.0);
    gl_Position = pos.xyww;
}  